Get NFTs from Wallet
REST
Get NFTs from Wallet
Fetch the NFTs in a provided wallet
API scope required: wallets:nfts.read
GET
Get NFTs from Wallet
This API enables fetching the NFTs for a provided wallet address and chain. The response will be slightly different between EVM, Solana, and other wallets. See the example responses to the right.Documentation Index
Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Obtained in the Crossmint developer console
Path Parameters
The wallet identifier in the format of <chain>:<address>, email:<email_address>:<chain> or userId:<userId>:<chain>.
Query Parameters
Page index
Number of items to display per page
Filter NFTs by contract address. Can be a single address or an array of addresses.
Filter NFTs by token ID
Response
Success
- EVM · object[]
- Solana · object[]
The blockchain used in the request.
The token contract address
The numeric tokenId for the specified NFT
The address of the NFT on the blockchain
The type of contract this token is from (ERC-721, ERC-1155 or ERC-5643)

